
QGIS Application - Feature request #2536

ftools: Intersection and union don't produce a result

2010-03-08 11:52 PM - Horst Düster

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: Python plugins

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 12596

Description

1. open the attached shapes (both produced with ftools/buffer)

2. select ftools union/intersection

3. proceed the union or intersection process

4. message with bad geometries appears

=> no result

My system:

gdal-1.7.1

geos-3.1.0

QGIS -r13034

History

#1 - 2010-03-09 08:13 AM - dr -

Confirmed. I've get the same problem on some of my layers.

Moreover if both merged layer's attribute tables have the same field's name, Union tool does not consider it. At result we have table with field names:

NAME, NAME_1, NAME_2... It will be useful to merge such fields (with the same type and name) into one column.

#2 - 2010-04-16 09:01 AM - Alexander Bruy

This is related with #2629. Also here is another problem: when field names trimmed and suffix added we will have duplicate names and get error when

initialize shapefile writer. I found three tools with this problem: union, intersection, symmetrical difference

Patch to fix this problem (evaluate field name lenght, check for duplicates and display warning messages) attached

#3 - 2010-04-22 10:51 AM - cfarmer -

- Resolution set to fixed

- Status changed from Open to Closed

Patch applied in . Thanks to alexbruy!

Carson

Files

test.zip 11.8 KB 2010-03-08 Horst Düster
add_warnings.diff 5.11 KB 2010-04-16 Alexander Bruy
